/** Assemble Infinite Skies Banner ( Desktop )
 * @author : Jesse McCarthy
 * @id : 3270416
 * Create main banner for infinite skies for desktop.
 */


$(document).ready(function(){

	// body is set to display none in html to prevent FOUC (Flash Of Unstyled
	// Content)
	$('body').css('display', 'block');

	// Create content
	assembleBanner();
	assembleParallaxTile();

});

/**
 * Creates and formats the infinite skies banner
 */
function assembleBanner(){

	// *** INFINITE SKIES BANNER *** //

	var banner = document.getElementById('inf-skies-banner'),
		rect = banner.getBoundingClientRect();

	banner.height = window.innerHeight - rect.top;

    formatCanvas();
    window.addEventListener( 'resize', formatCanvas, false );
	InfiniteSkiesBanner( banner );

	// Format width of canvas
    function formatCanvas(){
        banner.width = $('body').width() - 6;
    }

}


function assembleParallaxTile(){

	var parallaxTile = $( '#parallax-tile' ),
		parallaxCanvas = parallaxTile.get(0),
		banner      = $( '#inf-skies-banner' );

	parallaxCanvas.height = banner.height();
	parallaxCanvas.width = parallaxTile.parent().parent().width();

	ParallaxCanvas( parallaxCanvas );

}
