/**
 * Parallax Tutorial Tile ( Desktop )
 * @author : Jesse McCarthy
 * @Id : 3270416
 */

// Controls content for parallax tile content.
function ParallaxCanvas( canvas ){

    var context = canvas.getContext('2d'),
        xCenter = canvas.width / 2;
        yCenter = canvas.height / 2;

    context.textAlign = 'center';
    drawContent( 0 );

    // draw content to canvas
    function drawContent( offset ){

        // clear canvas
        context.clearRect(0,0,canvas.width,canvas.height);

        // draw shadow text
        size = 90 - Math.abs( offset / 4);
        context.font = size + 'px "Times New Roman"';
        context.fillStyle = 'navy';
        context.fillText( 'PARALLAX', xCenter - offset, yCenter - offset);
        context.fillText( 'PARALLAX', xCenter + offset, yCenter + offset);

        // draw center text
        context.font = '90px "Times New Roman"';
        context.fillStyle = 'blue';
        context.fillText( 'PARALLAX', xCenter, yCenter );
    }

    function getCenter(){
        xCenter = canvas.width / 2;
        yCenter = canvas.height / 2;
    }

    // redraw canvas onscroll
    $(document).scroll(function(){

        // calculate offset
        var rect = canvas.getBoundingClientRect(),
            offset = ( getScrollHeight() - rect.top ) / 2;

        // redraw content
        getCenter();
        drawContent( offset );

    })

}
