

/**
 * Displays menu. If menu has not been loaded, it is requested and then
 * and shown.
 */
function Menu(){

	// if menu is loaded show menu, otherwise load the menu
	 ( $('#menu').length === 1 ) ? $('#menu').show() : requestMenu();

	// loads menu.html asyncronously
	function requestMenu(){

		$.get( 'menu.html', function( content ){

			$( 'body' ).prepend( content );

			/**
			 * Play button onclick event.
			 * Hides menu and starts game.
			 */
			$( '#button-play' ).click( function(){
				$( '#menu' ).hide();
				$( 'canvas' ).css( 'cursor', 'crosshair' );
				state = 'game';
			} );

			/**
			 * Instruction button onclick event.
			 * Hides menu and requests instructions
			 */
			$( '#button-inst' ).click( function(){
				$( '#menu' ).hide();
				requestInstructions();
			} );

		}, 'html');

	}

	// loads instructions.html asyncronously
	function requestInstructions(){

		$.get('instructions.html', function( content ){
			$('body').prepend( content );
		}, 'html');

	}

}

/**
 * Posts Players score to a Highscore Table and loads Highscore Table
 * asyncronously. Uses get function to a PHP script the retrieves information
 * from a mysql table.
 */
function getHighscoreTable( score ){

	// *** INIT *** //

	var table;

	requestInputForm();

	// *** Functions *** //

	// post async content
	function postScore( name, score ){

		$.ajax({
			url : 'data/update-highscore.php',
			type : 'POST',
			data : {
				name : name,
				score : score
			},
			success : requestHighscores(),
			error   : function(){
				alert('error posting score');
			}
		});

	}

	// get input form
	function requestInputForm(){

		$.get( 'submit-highscore.html', function( form ){

			// wrap form in container
			var container = $('<div id="input-form"></div>');

			// add to document
			container.append( form )
			$( 'body' ).prepend( container );

			// on submit function
			$( 'form' ).submit( function( event ){
				event.preventDefault();
				postScore( $('input[ name = user ]').val(), score );
				$( this ).parent().remove();
			});
		}, 'html');

	}

	// get highscore table =
	function requestHighscores(){

		// timeout ensures that new scores are reflected in table
		setTimeout( function(){
			$.get( 'highscores.php', function( html ){
				// add table to DOM
				table = $( '<div id="highscore"></div>' ).html( html );
				$( 'body' ).prepend( table );

				// button click events
				$( '#highscore span' ).click( function(){ table.remove(); });
				$( '#button-play-again' ).click( reset );
				$( '#button-main-menu' ).click( mainMenu );
			} , 'html');
		}, 500 )


	}

}

var menu = new Menu();
