// ============================= //
// Infinite Skies                //
// Author: Jesse McCarthy        //
// Purpose: Infinite Skies Init  //
//============================== //


// ========================== //
// ========== INIT ========== //
// ========================== //


 // *** GAME *** //

var	global = this,
    state  = 'pre-game',
    fps    = 30,
	input  = new Input();

// game is initialized here so that it possesses the delible attribute
// if 'this.game' is not declared the command 'delete game' will not function
this.game;


// *** CANVAS *** //

var canvas        = document.createElement('canvas'),
	c             = canvas.getContext('2d');

$( 'body' ).prepend( canvas );
resizeCanvas();
addEventListener('resize', resizeCanvas, false);

function resizeCanvas(){
    canvas.width = window.innerWidth;
    canvas.height = window.innerHeight;
}


// *** IMAGES *** //

imageSource = [
    'img/star.png',
    'img/enemy.png',
    'img/starDust.png',
    'img/aquaStar.png',
    'img/purpleStar.png',
    'img/whiteStar.png',
    'img/blueStar.png',
    'img/healthBar.png',
    'img/powerBar.png'
];
var imgs = new ImgCache(imageSource);

imgs.onload = function(){

	imgs.ready = true;
	if( sfx.ready )
		start();

};


// *** SOUND *** //

soundSource = [
	{
        src    : 'sfx/starDust.mp3',
        count  : 3,
        volume : .1 }
];

var sfx = new SoundCache( soundSource );

sfx.onload = function(){

	sfx.ready = true;
	if( imgs.ready )
		start();

}
